﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectBoat_bae.MovementStrategy
{
    public interface IMoveableObject
    {
        // Получение координаты X объекта
        ObjectParameters? GetObjectPosition { get; }
      
        // Шаг объектa
        int GetStep { get; }

        // Проверка, можно ли переместиться по нужному направлению
        bool CheckCanMove(DiretionType direction);

        // Изменение направления пермещения объекта
        void MoveObject(DiretionType direction);
    }
}
